> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Get connection details

GET https://api.sigmacomputing.com/v2/connections/{connectionId}

Get the metadata of a specific connection by connection ID.

### Usage notes
- Retrieve the **connectionId** by calling the [/v2/connections](https://help.sigmacomputing.com/reference/list-connections) endpoint.
  

Reference: https://help.sigmacomputing.com/reference/get-connection

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/connections/{connectionId}:
    get:
      operationId: getConnection
      summary: Get connection details
      description: >-
        Get the metadata of a specific connection by connection ID.


        ### Usage notes

        - Retrieve the **connectionId** by calling the
        [/v2/connections](https://help.sigmacomputing.com/reference/list-connections)
        endpoint.
          
      tags:
        - Connections
      parameters:
        - name: connectionId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/connections_getConnection_Response_200'
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaTimeout:
      type: object
      properties:
        default:
          type: number
          format: double
        worksheet:
          type: number
          format: double
        dashboard:
          type: number
          format: double
        download:
          type: number
          format: double
      required:
        - default
      description: Timeout settings for the connection, with a default value in seconds
      title: V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaTimeout
    V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaPoolSizes:
      type: object
      properties:
        isPoolConfigured:
          type: boolean
        adhocPoolSize:
          type: number
          format: double
        catalogPoolSize:
          type: number
          format: double
        resultPoolSize:
          type: number
          format: double
        schedulePoolSize:
          type: number
          format: double
      description: >-
        Pool sizes for the connection, such as for adhocPoolSize or
        schedulePoolSize
      title: >-
        V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaPoolSizes
    V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaWritebacksItems:
      type: object
      properties:
        database:
          type: string
          description: >-
            Database, catalog, or top-level object to contain tables written
            back to the data platform
        schema:
          type: string
          description: >-
            Schema, database, or second-level object to contain tables written
            back to the data platform
        writebackSchemaId:
          type: string
          description: Unique identifier of the writebackSchema
      required:
        - database
        - schema
      title: >-
        V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaWritebacksItems
    V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaWritebackSchemasItems:
      type: object
      properties:
        database:
          type: string
          description: >-
            Database, catalog, or top-level object to contain tables written
            back to the data platform
        schema:
          type: string
          description: >-
            Schema, database, or second-level object to contain tables written
            back to the data platform
        writebackSchemaId:
          type: string
          description: Unique identifier of the writebackSchema
      required:
        - database
        - schema
      title: >-
        V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaWritebackSchemasItems
    V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaInputTableAuditLogSchema:
      type: object
      properties:
        database:
          type: string
          description: >-
            Database, catalog, or top-level object to contain tables written
            back to the data platform
        schema:
          type: string
          description: >-
            Schema, database, or second-level object to contain tables written
            back to the data platform
        writebackSchemaId:
          type: string
          description: Unique identifier of the writebackSchema
      required:
        - database
        - schema
      description: >-
        Schema to use for the input table write-ahead log (WAL). Cannot be
        changed without breaking write behavior on this connection.
      title: >-
        V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaInputTableAuditLogSchema
    V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType0:
      type: string
      enum:
        - aws_databricks
      title: >-
        V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType0
    V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType1:
      type: string
      enum:
        - azure_databricks
      title: >-
        V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType1
    V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType2:
      type: string
      enum:
        - gcp_databricks
      title: >-
        V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType2
    V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType3:
      type: string
      enum:
        - azuread
      title: >-
        V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType3
    V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType4:
      type: string
      enum:
        - auth0
      title: >-
        V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType4
    V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType5:
      type: string
      enum:
        - adfs
      title: >-
        V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType5
    V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType6:
      type: string
      enum:
        - okta
      title: >-
        V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType6
    V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType7:
      type: string
      enum:
        - ping
      title: >-
        V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType7
    V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType8:
      type: string
      enum:
        - snowflake
      title: >-
        V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType8
    V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType9:
      type: string
      enum:
        - unknown
      title: >-
        V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType9
    V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType:
      oneOf:
        - $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType0
        - $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType1
        - $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType2
        - $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType3
        - $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType4
        - $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType5
        - $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType6
        - $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType7
        - $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType8
        - $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType9
      description: OAuth provider type configured or inferred for this connection.
      title: >-
        V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType
    V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaUserAttributes:
      type: object
      properties:
        role:
          type: string
        warehouse:
          type: string
      description: User attributes associated with the connection
      title: >-
        V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaUserAttributes
    V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaRoleSwitching:
      type: string
      enum:
        - allRoles
        - disabled
      description: >-
        Whether a Snowflake OAuth connection allows users to switch roles when
        running queries. Only meaningful for Snowflake OAuth connections.
      title: >-
        V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaRoleSwitching
    connections_getConnection_Response_200:
      type: object
      properties:
        organizationId:
          type: string
          description: Unique identifier of the organization
        connectionId:
          type: string
          description: Unique identifier of the connection
        isSample:
          type: boolean
          description: Whether the connection is the Sigma sample data connection
        isAuditLog:
          type: boolean
          description: Whether audit logging is enabled
        lastActiveAt:
          type: string
          format: date-time
          description: Last activity date and time
        name:
          type: string
          description: Name of the connection
        type:
          type: string
          description: Type of the connection (e.g., "bigQuery")
        useOauth:
          type: boolean
          description: Whether OAuth is used
        createdBy:
          type: string
          description: Identifier of the user who created this connection
        updatedBy:
          type: string
          description: Identifier of the user or process that last updated this connection
        createdAt:
          type: string
          format: date-time
          description: When the connection was created
        updatedAt:
          type: string
          format: date-time
          description: When the connection was last updated
        isArchived:
          type: boolean
          description: Whether the connection is archived
        account:
          type: string
          description: Account associated with the connection
        warehouse:
          type: string
          description: Warehouse associated with the connection
        user:
          type: string
          description: User associated with the connection
        role:
          type: string
          description: Role used by the connection user
        timeout:
          $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaTimeout
          description: Timeout settings for the connection, with a default value in seconds
        poolSizes:
          $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaPoolSizes
          description: >-
            Pool sizes for the connection, such as for adhocPoolSize or
            schedulePoolSize
        writeAccess:
          type: boolean
        friendlyName:
          type: boolean
          description: Whether friendly names are enabled for this connection
        writebacks:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaWritebacksItems
          description: Configure write-back for non-OAuth connections
        writebackSchemas:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaWritebackSchemasItems
          description: Configure write-back for OAuth connections
        inputTableAuditLogSchema:
          $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaInputTableAuditLogSchema
          description: >-
            Schema to use for the input table write-ahead log (WAL). Cannot be
            changed without breaking write behavior on this connection.
        materializationWarehouse:
          type: string
          description: Warehouse used to run materialization jobs
        exportsWarehouse:
          type: string
          description: Warehouse used to run export jobs
        oauthMetadataUrl:
          type: string
          description: OAuth metadata URL configured directly on this connection.
        oauthClientId:
          type: string
          description: Client ID configured directly on this connection.
        oauthScopes:
          type: array
          items:
            type: string
          description: OAuth scopes configured directly on this connection.
        oauthIdpType:
          $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaOauthIdpType
          description: OAuth provider type configured or inferred for this connection.
        oauthUsePkce:
          type:
            - boolean
            - 'null'
          description: Whether this connection-level OAuth configuration uses PKCE.
        oauthUseJwt:
          type:
            - boolean
            - 'null'
          description: >-
            Whether this connection-level OAuth configuration uses JWT bearer
            token authentication.
        oauthAudience:
          type: string
          description: >-
            Audience used for OAuth federation, such as the Google workforce
            identity federation audience for BigQuery.
        isIndependentOAuth:
          type: boolean
          description: >-
            Whether this connection uses connection-level OAuth instead of
            organization-level OAuth.
        userAttributes:
          $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaUserAttributes
          description: User attributes associated with the connection
        roleSwitching:
          $ref: >-
            #/components/schemas/V2ConnectionsConnectionIdGetResponsesContentApplicationJsonSchemaRoleSwitching
          description: >-
            Whether a Snowflake OAuth connection allows users to switch roles
            when running queries. Only meaningful for Snowflake OAuth
            connections.
      required:
        - organizationId
        - connectionId
        - isSample
        - isAuditLog
        - lastActiveAt
        - name
        - type
        - useOauth
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
      title: connections_getConnection_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "organizationId": "org-9f8b7c6d5e4a3b2c1d0e",
  "connectionId": "conn-1234567890abcdef",
  "isSample": false,
  "isAuditLog": true,
  "lastActiveAt": "2024-04-20T14:45:00Z",
  "name": "Sales Data Warehouse",
  "type": "snowflake",
  "useOauth": true,
  "createdBy": "user-7a8b9c0d1e2f3g4h5i6j",
  "updatedBy": "user-7a8b9c0d1e2f3g4h5i6j",
  "createdAt": "2023-11-10T08:15:30Z",
  "updatedAt": "2024-04-18T10:00:00Z",
  "isArchived": false,
  "account": "sales_account_01",
  "warehouse": "analytics_wh",
  "user": "analytics_user",
  "role": "ANALYST_ROLE",
  "timeout": {
    "default": 30,
    "worksheet": 60,
    "dashboard": 45,
    "download": 120
  },
  "poolSizes": {
    "isPoolConfigured": true,
    "adhocPoolSize": 10,
    "catalogPoolSize": 5,
    "resultPoolSize": 15,
    "schedulePoolSize": 8
  },
  "writeAccess": true,
  "friendlyName": true,
  "writebacks": [
    {
      "database": "sales_db",
      "schema": "writeback_schema",
      "writebackSchemaId": "wb-schema-001"
    }
  ],
  "writebackSchemas": [
    {
      "database": "sales_db",
      "schema": "oauth_writeback_schema",
      "writebackSchemaId": "wb-schema-002"
    }
  ],
  "inputTableAuditLogSchema": {
    "database": "audit_db",
    "schema": "input_table_log",
    "writebackSchemaId": "audit-schema-01"
  },
  "materializationWarehouse": "materialization_wh",
  "exportsWarehouse": "export_wh",
  "oauthMetadataUrl": "https://auth.example.com/.well-known/openid-configuration",
  "oauthClientId": "client-abc123xyz789",
  "oauthScopes": [
    "openid",
    "profile",
    "email"
  ],
  "oauthIdpType": "aws_databricks",
  "oauthUsePkce": true,
  "oauthUseJwt": false,
  "oauthAudience": "https://api.sigmacomputing.com",
  "isIndependentOAuth": false,
  "userAttributes": {
    "role": "ANALYST_ROLE",
    "warehouse": "analytics_wh"
  },
  "roleSwitching": "allRoles"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/connections/connectionId"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/connections/connectionId';
const options = {
  method: 'GET',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/connections/connectionId"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/connections/connectionId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/connections/connectionId")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/connections/connectionId', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/connections/connectionId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/connections/connectionId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```